%define major		1
%define libname		%mklibname va %{major}
%define develname	%mklibname va -d

Name:		libva
#bump to 1.0.16 and remove older 1.1.0... upstream tagged it and then removed the tag...
Version:	1.0.16
Release:	2
Summary:	Video Acceleration (VA) API for Linux
Group:		System/Libraries
License:	MIT
URL:		http://freedesktop.org/wiki/Software/vaapi
Source0:	http://cgit.freedesktop.org/vaapi/%{name}/snapshot/%{name}-%{version}.tar.gz
BuildRequires:	udev-devel
BuildRequires:	libxext-devel
BuildRequires:	libxfixes-devel
BuildRequires:	libdrm-devel
BuildRequires:	pkgconfig(egl)
BuildRequires:	libpciaccess-devel
BuildRequires:	mesagl-devel
Epoch:		2

%description
Libva is a library providing the VA API video acceleration API.

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libname}
Libva is a library providing the VA API video acceleration API.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package	utils
Summary:	Tools for %{name} (including vainfo)
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}
Obsoletes:	vainfo

%description	utils
The %{name}-utils package contains tools that are provided as part
of %{name}, including the vainfo tool for determining what (if any)
%{name} support is available on a system.

%prep
%setup -q
# % {name}-% {version}

%build
autoreconf -v -i 
%configure2_5x --disable-static --enable-glx
%make

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -regex ".*\.la$" | xargs rm -f --

# dummy driver has no good place, so get rid of it
rm %{buildroot}%{_libdir}/dri/dummy_drv_video.so

%files -n %{libname}
#%{_libdir}/%{name}.so.%{major}*
%{_libdir}/%{name}*.so.%{major}*

%files -n %{develname}
%{_includedir}/va
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/%{name}*.pc

%files utils
%doc COPYING
%{_bindir}/vainfo
%{_bindir}/avcenc
#%{_bindir}/va_egl
%{_bindir}/loadjpeg
%{_bindir}/h264encode
%{_bindir}/mpeg2vldemo
%{_bindir}/putsurface


%changelog
* Fri Aug 17 2012 Alexander Khrukin <akhrukin@mandriva.org> 2:1.0.16-2
+ Revision: 815160
- rel up
- Requires: %%{libname} = %%{EVRD}

* Fri Aug 17 2012 Alexander Khrukin <akhrukin@mandriva.org> 2:1.0.16-1
+ Revision: 815142
- version update 1.0.16
- bump to 1.0.16 and remove older 1.1.0... upstream tagged it and then removed the tag...

* Wed Jun 13 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.1.0-1
+ Revision: 805367
- unpackaged file va_egl
- BR pkgconfig(egl)
- version update 1.1.0

* Sat Nov 05 2011 Alexander Khrukin <akhrukin@mandriva.org> 1.0.15-2
+ Revision: 717741
- libva provides section spec fix

* Fri Nov 04 2011 Alexander Khrukin <akhrukin@mandriva.org> 1.0.15-1
+ Revision: 717714
- fixed Source0
- one large commit:update libva from ancient version from 0.3x to 1.0.15 spec totally rewritten and cleaned

* Mon May 09 2011 Funda Wang <fwang@mandriva.org> 0.31.1.1.sds4-3
+ Revision: 672794
- rebuild

* Thu Aug 12 2010 Anssi Hannula <anssi@mandriva.org> 0.31.1.1.sds4-2mdv2011.0
+ Revision: 569195
- fix ldconfig warning

* Mon Jul 19 2010 Anssi Hannula <anssi@mandriva.org> 0.31.1.1.sds4-1mdv2011.0
+ Revision: 555026
- new version

* Tue Jul 13 2010 Anssi Hannula <anssi@mandriva.org> 0.31.1.1.sds3-1mdv2011.0
+ Revision: 551390
- use libva upstream major instead of changing it every release, since
  sds patches do not seem to currently break ABI compatibility
- new version
- split out i965 driver, vainfo, and libs with different majors

* Wed Feb 24 2010 Olivier Blin <blino@mandriva.org> 0.31.0.1.sds10-1mdv2010.1
+ Revision: 510659
- put back sane buildroot
- package test tools
- remove hardcoded buildroot
- bump to sds10 (thanks Gwenole for the notification)

* Thu Jan 21 2010 Adam Williamson <awilliamson@mandriva.org> 0.31.0.1.sds9-1mdv2010.1
+ Revision: 494679
- new release 0.31.0-1sds9

* Thu Sep 03 2009 Adam Williamson <awilliamson@mandriva.org> 0.30.4.1.sds5-1mdv2010.0
+ Revision: 428878
- import libva

